extends BaseState
class_name PlayerCutsceneState

@onready var interact_scanner: InteractScanner = $"../../../Marker2D/InteractScanner"

# Public Methods
func GetStateEnum() -> PlayerStateMachine.States:
	return PlayerStateMachine.States.CUTSCENE


func GetAnimationBaseName() -> String:
	return "idle"


func Enter(_extra_parameters: Dictionary) -> void:
	print("Cutscene Started")
	interact_scanner.disable_interactions = true


func Exit() -> void:
	interact_scanner.disable_interactions = false


func OnCutsceneEnded() -> void:
	state_machine.QueueStateChange(PlayerStateMachine.States.IDLE)


func IsStateActionable() -> bool:
	return false
